
void _efl_ui_progressbar_infinite_mode_set(Eo *obj, Efl_Ui_Progressbar_Data *pd, Eina_Bool state);


static Eina_Error
__eolian_efl_ui_progressbar_infinite_mode_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_progressbar_infinite_mode_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_progressbar_infinite_mode_set, EFL_FUNC_CALL(state), Eina_Bool state);

Eina_Bool _efl_ui_progressbar_infinite_mode_get(const Eo *obj, Efl_Ui_Progressbar_Data *pd);


static Eina_Value
__eolian_efl_ui_progressbar_infinite_mode_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_progressbar_infinite_mode_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_progressbar_infinite_mode_get, Eina_Bool, 0);

void _efl_ui_progressbar_show_progress_label_set(Eo *obj, Efl_Ui_Progressbar_Data *pd, Eina_Bool show);


static Eina_Error
__eolian_efl_ui_progressbar_show_progress_label_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_progressbar_show_progress_label_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_progressbar_show_progress_label_set, EFL_FUNC_CALL(show), Eina_Bool show);

Eina_Bool _efl_ui_progressbar_show_progress_label_get(const Eo *obj, Efl_Ui_Progressbar_Data *pd);


static Eina_Value
__eolian_efl_ui_progressbar_show_progress_label_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_progressbar_show_progress_label_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_progressbar_show_progress_label_get, Eina_Bool, 0);

Efl_Object *_efl_ui_progressbar_efl_object_constructor(Eo *obj, Efl_Ui_Progressbar_Data *pd);


Eina_Error _efl_ui_progressbar_efl_ui_widget_theme_apply(Eo *obj, Efl_Ui_Progressbar_Data *pd);


void _efl_ui_progressbar_efl_ui_range_display_range_value_set(Eo *obj, Efl_Ui_Progressbar_Data *pd, double val);


double _efl_ui_progressbar_efl_ui_range_display_range_value_get(const Eo *obj, Efl_Ui_Progressbar_Data *pd);


void _efl_ui_progressbar_efl_ui_range_display_range_limits_set(Eo *obj, Efl_Ui_Progressbar_Data *pd, double min, double max);


void _efl_ui_progressbar_efl_ui_range_display_range_limits_get(const Eo *obj, Efl_Ui_Progressbar_Data *pd, double *min, double *max);


void _efl_ui_progressbar_efl_ui_layout_orientable_orientation_set(Eo *obj, Efl_Ui_Progressbar_Data *pd, Efl_Ui_Layout_Orientation dir);


Efl_Ui_Layout_Orientation _efl_ui_progressbar_efl_ui_layout_orientable_orientation_get(const Eo *obj, Efl_Ui_Progressbar_Data *pd);


void _efl_ui_progressbar_efl_ui_format_apply_formatted_value(Eo *obj, Efl_Ui_Progressbar_Data *pd);


Efl_Object *_efl_ui_progressbar_efl_part_part_get(const Eo *obj, Efl_Ui_Progressbar_Data *pd, const char *name);


void _efl_ui_progressbar_efl_text_text_set(Eo *obj, Efl_Ui_Progressbar_Data *pd, const char *text);


const char *_efl_ui_progressbar_efl_text_text_get(const Eo *obj, Efl_Ui_Progressbar_Data *pd);


void _efl_ui_progressbar_efl_text_markup_markup_set(Eo *obj, Efl_Ui_Progressbar_Data *pd, const char *markup);


const char *_efl_ui_progressbar_efl_text_markup_markup_get(const Eo *obj, Efl_Ui_Progressbar_Data *pd);


Eina_Bool _efl_ui_progressbar_efl_content_content_set(Eo *obj, Efl_Ui_Progressbar_Data *pd, Efl_Gfx_Entity *content);


Efl_Gfx_Entity *_efl_ui_progressbar_efl_content_content_get(const Eo *obj, Efl_Ui_Progressbar_Data *pd);


Efl_Gfx_Entity *_efl_ui_progressbar_efl_content_content_unset(Eo *obj, Efl_Ui_Progressbar_Data *pd);


void _efl_ui_progressbar_efl_ui_l10n_l10n_text_set(Eo *obj, Efl_Ui_Progressbar_Data *pd, const char *label, const char *domain);


const char *_efl_ui_progressbar_efl_ui_l10n_l10n_text_get(const Eo *obj, Efl_Ui_Progressbar_Data *pd, const char **domain);


static Eina_Bool
_efl_ui_progressbar_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_PROGRESSBAR_EXTRA_OPS
#define EFL_UI_PROGRESSBAR_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_progressbar_infinite_mode_set, _efl_ui_progressbar_infinite_mode_set),
      EFL_OBJECT_OP_FUNC(efl_ui_progressbar_infinite_mode_get, _efl_ui_progressbar_infinite_mode_get),
      EFL_OBJECT_OP_FUNC(efl_ui_progressbar_show_progress_label_set, _efl_ui_progressbar_show_progress_label_set),
      EFL_OBJECT_OP_FUNC(efl_ui_progressbar_show_progress_label_get, _efl_ui_progressbar_show_progress_label_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_progressbar_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_theme_apply, _efl_ui_progressbar_efl_ui_widget_theme_apply),
      EFL_OBJECT_OP_FUNC(efl_ui_range_value_set, _efl_ui_progressbar_efl_ui_range_display_range_value_set),
      EFL_OBJECT_OP_FUNC(efl_ui_range_value_get, _efl_ui_progressbar_efl_ui_range_display_range_value_get),
      EFL_OBJECT_OP_FUNC(efl_ui_range_limits_set, _efl_ui_progressbar_efl_ui_range_display_range_limits_set),
      EFL_OBJECT_OP_FUNC(efl_ui_range_limits_get, _efl_ui_progressbar_efl_ui_range_display_range_limits_get),
      EFL_OBJECT_OP_FUNC(efl_ui_layout_orientation_set, _efl_ui_progressbar_efl_ui_layout_orientable_orientation_set),
      EFL_OBJECT_OP_FUNC(efl_ui_layout_orientation_get, _efl_ui_progressbar_efl_ui_layout_orientable_orientation_get),
      EFL_OBJECT_OP_FUNC(efl_ui_format_apply_formatted_value, _efl_ui_progressbar_efl_ui_format_apply_formatted_value),
      EFL_OBJECT_OP_FUNC(efl_part_get, _efl_ui_progressbar_efl_part_part_get),
      EFL_OBJECT_OP_FUNC(efl_text_set, _efl_ui_progressbar_efl_text_text_set),
      EFL_OBJECT_OP_FUNC(efl_text_get, _efl_ui_progressbar_efl_text_text_get),
      EFL_OBJECT_OP_FUNC(efl_text_markup_set, _efl_ui_progressbar_efl_text_markup_markup_set),
      EFL_OBJECT_OP_FUNC(efl_text_markup_get, _efl_ui_progressbar_efl_text_markup_markup_get),
      EFL_OBJECT_OP_FUNC(efl_content_set, _efl_ui_progressbar_efl_content_content_set),
      EFL_OBJECT_OP_FUNC(efl_content_get, _efl_ui_progressbar_efl_content_content_get),
      EFL_OBJECT_OP_FUNC(efl_content_unset, _efl_ui_progressbar_efl_content_content_unset),
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_text_set, _efl_ui_progressbar_efl_ui_l10n_l10n_text_set),
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_text_get, _efl_ui_progressbar_efl_ui_l10n_l10n_text_get),
      EFL_UI_PROGRESSBAR_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"infinite_mode", __eolian_efl_ui_progressbar_infinite_mode_set_reflect, __eolian_efl_ui_progressbar_infinite_mode_get_reflect},
      {"show_progress_label", __eolian_efl_ui_progressbar_show_progress_label_set_reflect, __eolian_efl_ui_progressbar_show_progress_label_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_progressbar_class_desc = {
   EO_VERSION,
   "Efl.Ui.Progressbar",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Progressbar_Data),
   _efl_ui_progressbar_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_progressbar_class_get, &_efl_ui_progressbar_class_desc, EFL_UI_LAYOUT_BASE_CLASS, EFL_UI_RANGE_DISPLAY_INTERFACE, EFL_UI_FORMAT_MIXIN, EFL_UI_LAYOUT_ORIENTABLE_INTERFACE, EFL_TEXT_INTERFACE, EFL_CONTENT_INTERFACE, EFL_TEXT_MARKUP_INTERFACE, NULL);
